Browse Files and Folders
GET
/system/file-explorer
const url = 'https://sylve.lan:8181/api/system/file-explorer';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/system/file-explorer \ --header 'Authorization: <Authorization>'List the direct entries in an absolute directory path
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”id
string
Absolute directory path; defaults to /
Responses
Section titled “Responses”Files and folders listed
Media typeapplication/json
object
data
Array<object>
object
date
string
id
string
lazy
boolean
size
integer
type
string
error
string
message
string
status
string
Examplegenerated
{ "data": [ { "date": "example", "id": "example", "lazy": true, "size": 1, "type": "example" } ], "error": "example", "message": "example", "status": "example"}Invalid directory path
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Administrator access or filesystem permission required
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Directory not found
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}